Bug 425974 - package.conf gives haddock dirs with incorrect path
package.conf gives haddock dirs with incorrect path
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 237398
  Show dependency treegraph
 
Reported: 2007-12-17 10:16 EST by Jón Fairbairn
Modified: 2008-01-14 23:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 23:18:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2007-12-17 10:16:18 EST
Description of problem:
Given eg --package base, haddock complains
that /usr/share/doc/ghc/libraries/base-3.0.0.0 doesn't exist.  Fair enough, it
doesn't, but /usr/share/doc/ghc-6.8.1/libraries/base-3.0.0.0 /does/ exist.

It looks to me that either haddock needs to know the version number of the
installed ghc-doc, or ghc or ghc-doc should install a symlink to the correct
version.

Version-Release number of selected component (if applicable):
haddock-0.8-1.fc7
ghc-6.8.1-2.fc8
ghc-doc-6.8.1-2.fc8
 

How reproducible:
Every time

Steps to Reproduce:
1. haddock --use-package base -h SomeHaddockedHaskell.hs
2.
3.
  
Actual results:
Warning: cannot use package base:
   HTML directory /usr/share/doc/ghc/libraries/base-3.0.0.0 does not exist.


Expected results:
links to the base package in the haddock output.

Additional info:
Comment 1 Jens Petersen 2008-01-02 23:57:24 EST
It seems this is actually ghc's fault, at least package.conf is listing:

haddockInterfaces = ["/usr/share/doc/ghc/libraries/base-3.0.0.0/base.haddock"],
haddockHTMLs = ["/usr/share/doc/ghc/libraries/base-3.0.0.0"]

etc.
Comment 2 Bryan O'Sullivan 2008-01-14 23:18:41 EST
This is fixed in ghc-6.8.2-8.fc8, which is in testing now.

Note You need to log in before you can comment on or make changes to this bug.